> ## Documentation Index
> Fetch the complete documentation index at: https://developer.fabric.inc/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete a fabric template



## OpenAPI

````yaml dropship_products.openapi delete /v1/retailers/{retailer_id}/fabric/{fabric_id}/templates/{id}/
openapi: 3.0.0
info:
  title: Products API
  version: 1.0.0
  description: >
    Endpoints for retrieving product and variant information, permits, and
    fabric templates.
servers:
  - url: https://marketplace-api.fabric.inc
    description: Production server
security:
  - Bearer: []
tags:
  - name: Products
    description: Product and variant lookup
paths:
  /v1/retailers/{retailer_id}/fabric/{fabric_id}/templates/{id}/:
    delete:
      tags:
        - Products
      summary: Delete a fabric template
      parameters:
        - name: retailer_id
          in: path
          required: true
          description: >-
            The unique retailer ID. In the Dropship UI this is called the
            **Merchant ID**. To find your Merchant ID, click your merchant name
            in the top nav.
          schema:
            type: integer
            example: 1001
        - name: fabric_id
          in: path
          description: >-
            This ID maps to your Platform Account ID. To find this ID login to
            Dropship and click **Merchant Settings** > **Integrations**. In the
            options field, select **configuration**. The **fabric Settings**
            page is displayed with your **Platform Account ID**.
          required: true
          schema:
            type: integer
        - name: id
          in: path
          required: true
          description: The unique template identifier.
          schema:
            type: integer
      responses:
        '204':
          description: Template deleted
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/fabricTemplateDelete'
components:
  schemas:
    fabricTemplateDelete:
      type: object
      description: No response body is returned.
      properties:
        message:
          description: >-
            Returns a 204 response indicating the template was successfully
            deleted.
          example: Template Deleted.
          type: string
          title: message
          readOnly: true
  securitySchemes:
    Bearer:
      type: http
      scheme: bearer

````